<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>In conclusion (part 2)</h1>

<ul>
<li> Typed Memory Model turns out to be restrictive.

<li> No support for malloc.

<li> Not good at bitwise ops (can Z3 help?).

<li> Cannot parse some non-standard <code>__attribute__</code>s (glib).

<li> Lacks some <code>__builtin_*</code> functions.
</ul>
